SpecializationUtil.registerSpecialization("LSUpgrade", "LSUpgrade", g_currentModDirectory.."LSUpgrade.lua")

LSUpgrade_Register = {};

function LSUpgrade_Register:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v ~= nil then
				local allowInsertion = true;
				--[[
				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					if vs ~= nil then

						if vs == SpecializationUtil.getSpecialization("fillable") then
							allowInsertion = true;
						end;
					
						if allowInsertion then
							break;
						end;
					end;
				end;
				]]--
				
				if allowInsertion then
					print("LSUpgrade".." - "..v.name)
					table.insert(v.specializations, SpecializationUtil.getSpecialization("LSUpgrade"));
				end;
			end;	
		end;
	end;
end;

function LSUpgrade_Register:deleteMap()
  
end;

function LSUpgrade_Register:keyEvent(unicode, sym, modifier, isDown)

end;

function LSUpgrade_Register:mouseEvent(posX, posY, isDown, isUp, button)

end;

function LSUpgrade_Register:update(dt)
	
end;

function LSUpgrade_Register:draw()
  
end;

addModEventListener(LSUpgrade_Register);